//https://stackoverflow.com/questions/38543155/opengl-render-face-of-cube-map-to-a-quad

#version 460
#extension GL_AMD_vertex_shader_layer : enable

uniform mat4 p3d_ModelViewProjectionMatrix;

uniform sampler2DArray texture_array;
uniform int DMKlayer;

in vec4 p3d_Vertex;
in vec4 p3d_MultiTexCoord0;

out vec4 TexCoords;

//Stop auto shader
uniform struct p3d_LightSourceParameters {
	vec4 position;
    sampler2DShadow shadowMap;
    mat4 shadowViewMatrix;
} p3d_LightSource[2];

out vec4 cookie_tc[2];
uniform mat4 p3d_ModelViewMatrix;


void main() {

  vec4 view_position = p3d_ModelViewMatrix * p3d_Vertex;
  cookie_tc[0] = p3d_LightSource[0].shadowViewMatrix * vec4(view_position.xyz,1);
  TexCoords = p3d_MultiTexCoord0;
  gl_Position = p3d_ModelViewProjectionMatrix * p3d_Vertex;
  gl_Layer = DMKlayer;

}
